import request from '@/utils/request'

// 查询会议邮件配置列表
export function listEmail(query) {
  return request({
    url: '/plant/email/list',
    method: 'get',
    params: query
  })
}

// 查询会议邮件配置详细
export function getEmail(id) {
  return request({
    url: '/plant/email/' + id,
    method: 'get'
  })
}

// 新增会议邮件配置
export function addEmail(data) {
  return request({
    url: '/plant/email',
    method: 'post',
    data: data
  })
}

// 修改会议邮件配置
export function updateEmail(data) {
  return request({
    url: '/plant/email',
    method: 'put',
    data: data
  })
}

// 删除会议邮件配置
export function delEmail(id) {
  return request({
    url: '/plant/email/' + id,
    method: 'delete'
  })
}

// 导出会议邮件配置
export function exportEmail(query) {
  return request({
    url: '/plant/email/export',
    method: 'get',
    params: query
  })
}
